Loading...
Searching...
No Matches
exceptions.h File Reference
`#include "gridfire/exceptions/error_gridfire.h"`
`#include "gridfire/exceptions/error_engine.h"`
`#include "gridfire/exceptions/error_utils.h"`
`#include "gridfire/exceptions/error_debug.h"`
`#include "gridfire/exceptions/error_policy.h"`
`#include "gridfire/exceptions/error_reaction.h"`
`#include "gridfire/exceptions/error_solver.h"`
Include dependency graph for exceptions.h:
This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | gridfire::exceptions
| Namespace for GridFire exception classes. All custom exceptions defined in GridFire inherit from std::exception and are organized within this namespace for clarity and modularity.
namespace | gridfire